%% I take 60uw(980uw) only from the 6th of march(22nd feb) because on the 22nd(6th) the laser stability seems no good
clc
clear

Pw =    [30     45    60    90   150  200  270  350   570  740   1500];
prob =  [.059 .076  .086   .11  .166 .212 .258 .335   .426 .568   .732]./(.8*.7*.5);
g2 =    [13.2 19.6  20.9 17.3   13.2 10.9 10.8  8.2   6.8  4.2     1.9];
g2e =   [2.8   4.5   5.4  3.3   2.8   2.3  2.1  1.6   1.3   .8       .4];
coinc = [25     37    46   72   100   138  194  281   423  504    468];

fig = figure(123);
clf
[AX,H1,H2] = plotyy([1],[1],[1],[1]);
set(gcf,'color','white')
set(H1,'marker','o','color','white','markersize', 1)
set(H2,'marker','s','color','white','markersize',1)
set(fig, 'CurrentAxes', AX(1));
set(AX(1),'YColor','b');
hold on
errorbar(prob,g2,g2e, '*k')
hold on
plot(prob, g2,'ksquare','markersize',15,'markerfacecolor','b','linewidth',2)
% set(gca,'ksquare','markersize',15,'markerfacecolor','b','linewidth',2)
set(gca,'xscale','log','fontsize',36,'fontname','times','Xtick',[.2 1 3],'ytick',[2 10 20])
hold on 
% plot([20 2000],[2 2],'--b','linewidth',1)
% plot(linspace(.1,20,30),linspace(1.8,1.8,30),'k-','linewidth',5)
% hold on
% plot(linspace(.1,20,30),linspace(2.27,2.27,30),'k:','linewidth',1)
% hold on
% plot(linspace(.1,20,30),linspace(1.33,1.33,30),'k:','linewidth',1)
% hold on
% plot(stokesprob,fet,'linewidth',2)
xlabel('P_{S} [%/\mus]','fontsize',36, 'fontname', 'times')
ylabel('g^{(2)}_{s,as}(\Delta\tau = 600 ns)','fontsize',36, 'fontname', 'times')
xlim([.17 3])
ylim([0 27])
%text(9,22,'(c)','fontsize',32,'fontname','times')
hold on
set(fig, 'CurrentAxes', AX(2));
set(AX(2),'YColor','r');
hold on

plot(prob,coinc,'rd','markersize',16,'linewidth',1,'markerfacecolor','r')
set(gca,'xscale','log','fontsize',36,'fontname','times','Xtick',[],'ytick',[50 200 350 500 1000])
% xlabel('P_{S} [%/\mu s]','fontsize',36, 'fontname', 'times')
xlim([1.7e-1 3])
ylim([0 550])
ylabel('Coincidence/h','fontsize',36, 'fontname', 'times','color','red')